RABIN2(1)

NAME
rabin2 - Binary program info extractor

SYNOPSIS
rabin2 [-@eoicsSlMrvxz] [-h] [-c fmt:C:[D]] [-f subbin] [-L library] [-m addr] [file]

DESCRIPTION
This program allows you to get information about ELF/PE/MZ and CLASS files in a simple way.

-@  Show information (symbol, section, import) of the given address

-e  Show entrypoints for disk and on-memory

-M  Show address of 'main' symbol

-i  Show imports (symbols imported from libraries

-c [fmt:C[:D]]
    Create [elf,mach0,pe] for arm and x86-32/64 tiny binaries where 'C' is an hexpair list of the code bytes and ':D' is an optional concatenation to describe the bytes for the data section.

-s  Show exported symbols

-o  Show other symbols (not import/export)

-S  Show sections

-l  List linked libraries to the binary

-f subbin
    Select sub-binary architecture. Useful for fat-mach0 binaries

-x  Extract all sub binaries from a fat binary (f.ex: fatmach0)

-L library
    Show the base address of a library loaded in memory

-m addr
    Show source line reference from a given address (like add2line)

-r  Show output in radare format

-z  Show strings inside .data section (like gnu strings does)

-v  Display virtual addressing offsets

-h  Show usage help message.

SEE ALSO

rahash2(1), rafind2(1), radare2(1), radiff2(1), ranal2(1), rasm2(1), rax2(1), rsc2(1), ragg2(1), rarun2(1), rasc2(1),

AUTHORS

pancake <pancake@nopcode.org>, nibble <nibble@develsec.org>